<?xml version="1.0" encoding="UTF-8" ?>

<bugzilla version="5.2"
          urlbase="https://bugzilla.altlinux.org/"
          
          maintainer="jenya@basealt.ru"
>

    <bug>
          <bug_id>1006</bug_id>
          
          <creation_ts>2002-06-16 18:20:50 +0400</creation_ts>
          <short_desc>make possible to generate the list even if the traced process doesn\&apos;t want to finish</short_desc>
          <delta_ts>2003-08-25 15:18:31 +0400</delta_ts>
          <reporter_accessible>1</reporter_accessible>
          <cclist_accessible>1</cclist_accessible>
          <classification_id>4</classification_id>
          <classification>Development</classification>
          <product>Sisyphus</product>
          <component>rpm-utils</component>
          <version>unstable</version>
          <rep_platform>all</rep_platform>
          <op_sys>Linux</op_sys>
          <bug_status>CLOSED</bug_status>
          <resolution>FIXED</resolution>
          
          
          <bug_file_loc></bug_file_loc>
          <status_whiteboard></status_whiteboard>
          <keywords></keywords>
          <priority>P4</priority>
          <bug_severity>enhancement</bug_severity>
          <target_milestone>---</target_milestone>
          
          
          <everconfirmed>1</everconfirmed>
          <reporter name="imz">vanyaz</reporter>
          <assigned_to name="placeholder@altlinux.org">placeholder</assigned_to>
          <cc>at</cc>
    
    <cc>glebfm</cc>
    
    <cc>ldv</cc>
    
    <cc>placeholder</cc>
          
          

      

      

      

          <comment_sort_order>oldest_to_newest</comment_sort_order>  
          <long_desc isprivate="0" >
    <commentid>959</commentid>
    <comment_count>0</comment_count>
    <who name="imz">vanyaz</who>
    <bug_when>2002-06-16 18:20:50 +0400</bug_when>
    <thetext>I wanted to get the list of packages mozilla uses when it is run, but for some reason mozilla didn\&apos;t want to finish when it was traced. So I modified the scripts a little to allow the user to use SIGQUIT (C-\\) to quit packagereq and to generate the list based on the information available by that moment.

Also I made it work faster by using a single call to rpm in packagereq.

The patch is attached, perhaps some changes are reasonable.

---

---
rpm-utils-0.4.3

</thetext>
  </long_desc><long_desc isprivate="0" >
    <commentid>3744</commentid>
    <comment_count>1</comment_count>
    <who name="imz">vanyaz</who>
    <bug_when>2002-06-16 19:39:18 +0400</bug_when>
    <thetext>The newly attached patch makes it work even more faster (substantially faster -- a user like me can feel it): the list of packges is sorted (sort -u) before processing it in the loop in packagereq.
</thetext>
  </long_desc><long_desc isprivate="0" >
    <commentid>7109</commentid>
    <comment_count>2</comment_count>
    <who name="imz">vanyaz</who>
    <bug_when>2002-06-16 19:39:18 +0400</bug_when>
    <thetext>The newly attached patch makes it work even more faster (substantially faster -- a user like me can feel it): the list of packges is sorted (sort -u) before processing it in the loop in packagereq.
</thetext>
  </long_desc><long_desc isprivate="0" >
    <commentid>3745</commentid>
    <comment_count>3</comment_count>
    <who name="Dmitry V. Levin">ldv</who>
    <bug_when>2002-07-15 17:35:40 +0400</bug_when>
    <thetext>Implemented in rpm-utils-0.5.0-alt1
</thetext>
  </long_desc><long_desc isprivate="0" >
    <commentid>7110</commentid>
    <comment_count>4</comment_count>
    <who name="Dmitry V. Levin">ldv</who>
    <bug_when>2002-07-15 17:35:40 +0400</bug_when>
    <thetext>Implemented in rpm-utils-0.5.0-alt1
</thetext>
  </long_desc><long_desc isprivate="0" >
    <commentid>3746</commentid>
    <comment_count>5</comment_count>
    <who name="imz">vanyaz</who>
    <bug_when>2002-07-20 07:09:47 +0400</bug_when>
    <thetext>Now it fast!

One hunk has not been applied. Without this, I\&apos;m not able to quit \&apos;packagereq mozilla\&apos; with generation of the list of used packages.

--- /usr/bin/packagereq.orig	Sun Jun 16 17:44:14 2002
+++ /usr/bin/packagereq	Sun Jun 16 19:21:37 2002
@@ -111,7 +111,8 @@
 	exit $RETVAL
 }
 
-trap \&apos;Exit \&apos; SIGHUP SIGINT SIGQUIT SIGTERM EXIT
+trap \&apos;Exit \&apos; SIGHUP SIGINT SIGTERM EXIT
+trap \&apos;\&apos; SIGQUIT 
 
 \&amp;quot;$FILEREQ\&amp;quot; \&amp;quot;$REQFILE\&amp;quot; \&amp;quot;$@\&amp;quot;
 
</thetext>
  </long_desc><long_desc isprivate="0" >
    <commentid>7111</commentid>
    <comment_count>6</comment_count>
    <who name="imz">vanyaz</who>
    <bug_when>2002-07-20 07:09:47 +0400</bug_when>
    <thetext>Now it fast!

One hunk has not been applied. Without this, I\&apos;m not able to quit \&apos;packagereq mozilla\&apos; with generation of the list of used packages.

--- /usr/bin/packagereq.orig	Sun Jun 16 17:44:14 2002
+++ /usr/bin/packagereq	Sun Jun 16 19:21:37 2002
@@ -111,7 +111,8 @@
 	exit $RETVAL
 }
 
-trap \&apos;Exit \&apos; SIGHUP SIGINT SIGQUIT SIGTERM EXIT
+trap \&apos;Exit \&apos; SIGHUP SIGINT SIGTERM EXIT
+trap \&apos;\&apos; SIGQUIT 
 
 \&amp;quot;$FILEREQ\&amp;quot; \&amp;quot;$REQFILE\&amp;quot; \&amp;quot;$@\&amp;quot;
 
</thetext>
  </long_desc><long_desc isprivate="0" >
    <commentid>3747</commentid>
    <comment_count>7</comment_count>
    <who name="Dmitry V. Levin">ldv</who>
    <bug_when>2002-08-14 15:36:04 +0400</bug_when>
    <thetext>Applied in 0.5.2-alt1</thetext>
  </long_desc><long_desc isprivate="0" >
    <commentid>7112</commentid>
    <comment_count>8</comment_count>
    <who name="Dmitry V. Levin">ldv</who>
    <bug_when>2002-08-14 15:36:04 +0400</bug_when>
    <thetext>Applied in 0.5.2-alt1</thetext>
  </long_desc>
      
          <attachment
              isobsolete="0"
              ispatch="0"
              isprivate="0"
          >
            <attachid>81</attachid>
            <date>2002-06-16 18:20:51 +0400</date>
            <delta_ts>2002-06-16 18:20:51 +0400</delta_ts>
            <desc>0001006-rpm-utils-0.4.3-quit.patch</desc>
            <filename>0001006-rpm-utils-0.4.3-quit.patch</filename>
            <type>application/octet-stream</type>
            <size>0</size>
            <attacher name="imz">vanyaz</attacher>
            
              <data encoding="base64"></data>

          </attachment>
          <attachment
              isobsolete="0"
              ispatch="0"
              isprivate="0"
          >
            <attachid>82</attachid>
            <date>2002-06-16 19:36:29 +0400</date>
            <delta_ts>2002-06-16 19:36:29 +0400</delta_ts>
            <desc>0001006-rpm-utils-0.4.3-quit-faster.patch</desc>
            <filename>0001006-rpm-utils-0.4.3-quit-faster.patch</filename>
            <type>application/octet-stream</type>
            <size>0</size>
            <attacher name="imz">vanyaz</attacher>
            
              <data encoding="base64"></data>

          </attachment>
      

    </bug>

</bugzilla>